class Vote < ActiveRecord::Base
  has_many :associable

  def self.expensive_class_method
    self.count
  end

  def self.expensive_class_method_with_options(options={})
    self.where(options).count
  end

  def self.expensive_class_method_with_arguments(arg)
    self.where(direction: arg).count
  end

  def expensive_instance_method
    Vote.count
  end

  def expensive_instance_method_with_options(options={})
    Vote.where(options).count
  end

  def expensive_instance_method_with_arguments(arg)
    Vote.where(direction: arg).count
  end
end
